MojoMojo::Formatter::SyntaxHighlight(3)

  module_loaded
Return true if the module is loaded.

NAME
MojoMojo::Formatter::SyntaxHighlight - syntax highlighting for code blocks

DESCRIPTION
This formatter performs syntax highlighting on code blocks.

METHODS

  format_content_order
The syntax highlight formatter is based on "<pre>" tags entered by the user, so it must run before other formatters that produce "<pre>" tags. The earliest such formatter is the main formatter.

  format_content
This formatter uses Syntax::Highlight::Engine::Kate to syntax highlight code inside of "<pre lang="language"> ... </pre>" tags:

 <pre lang="Perl">
   say "Hello world!";
 </pre>

See "PLUGINS" in Syntax::Highlight::Engine::Kate for a list of supported languages.

SEE ALSO
MojoMojo, Module::Pluggable::Ordered and Syntax::Highlight::Engine::Kate.

AUTHORS
Johannes Plunien <plu@cpan.org>

LICENSE
This library is free software. You can redistribute it and/or modify it under the same terms as Perl itself.